For the complete documentation index, see llms.txt. This page is also available as Markdown.

Carrier

Shipping carriers

deaktiviert eine bestehende Resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

application/json

Versender

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

label/shipment service/api name

parameteranyOptional

Search-Dialog

activebooleanOptional

Aktiv?

Default: true
customanyOptional

Search-Dialog

put/vds/carrier/{id}/deactivate
PUT /api/vds/carrier/{id}/deactivate HTTP/1.1
Host: 10.102.24.197:32795
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "parameter": null,
  "carrierTypeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "active": true,
  "custom": null
}

aktiviert eine bestehende Resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

application/json

Versender

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

label/shipment service/api name

parameteranyOptional

Search-Dialog

activebooleanOptional

Aktiv?

Default: true
customanyOptional

Search-Dialog

put/vds/carrier/{id}/activate
PUT /api/vds/carrier/{id}/activate HTTP/1.1
Host: 10.102.24.197:32795
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "parameter": null,
  "carrierTypeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "active": true,
  "custom": null
}

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json

Versender

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

label/shipment service/api name

parameteranyOptional

Search-Dialog

activebooleanOptional

Aktiv?

Default: true
customanyOptional

Search-Dialog

get/vds/carrier/{id}
GET /api/vds/carrier/{id} HTTP/1.1
Host: 10.102.24.197:32795
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "parameter": null,
  "carrierTypeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "active": true,
  "custom": null
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body

Versender

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

label/shipment service/api name

parameteranyOptional

Search-Dialog

activebooleanOptional

Aktiv?

Default: true
customanyOptional

Search-Dialog

Responses
200

successful operation

application/json

Versender

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

label/shipment service/api name

parameteranyOptional

Search-Dialog

activebooleanOptional

Aktiv?

Default: true
customanyOptional

Search-Dialog

put/vds/carrier/{id}
PUT /api/vds/carrier/{id} HTTP/1.1
Host: 10.102.24.197:32795
Content-Type: application/json
Accept: */*
Content-Length: 131

{
  "version": "text",
  "info": {},
  "id": "text",
  "label": "text",
  "parameter": null,
  "carrierTypeRef": {
    "id": "text"
  },
  "active": true,
  "custom": null
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "parameter": null,
  "carrierTypeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "active": true,
  "custom": null
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/vds/carrier/{id}
DELETE /api/vds/carrier/{id} HTTP/1.1
Host: 10.102.24.197:32795
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

Sets the meta 'parameter' data (authentification fields and options) for a given Carrier.

put
Path parameters
carrierIdinteger · int64Required

carrierId

keystring · enumRequiredPossible values:
Body
anyOptional
Responses
200

OK

No content

put/vds/carrier/{carrierId}/parameter/{key}
PUT /api/vds/carrier/{carrierId}/parameter/{key} HTTP/1.1
Host: 10.102.24.197:32795
Content-Type: application/json
Accept: */*
200

OK

No content

deaktiviert eine bestehende Resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

label/shipment service name

descriptionstringOptional

description

appIdstring · uuidOptional

external App-Id

activebooleanOptional

Aktiv?

Default: true
backendTypestring · enumOptional

carriertype for backend

Possible values:
createShipmentSyncUrlstringOptional

App: URL für Versandauftrag

createLabelSyncUrlstringOptional

App: URL für Versandlabel

canPrintLabelbooleanOptional

Label-Druck möglich

Default: false
trackingUrlTemplatestringOptional

Tracking-URL-Vorlage

put/vds/carrier-type/{id}/deactivate
PUT /api/vds/carrier-type/{id}/deactivate HTTP/1.1
Host: 10.102.24.197:32795
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "appId": "123e4567-e89b-12d3-a456-426614174000",
  "active": true,
  "backendType": "APP",
  "createShipmentSyncUrl": "text",
  "createLabelSyncUrl": "text",
  "canPrintLabel": false,
  "trackingUrlTemplate": "text"
}

aktiviert eine bestehende Resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

label/shipment service name

descriptionstringOptional

description

appIdstring · uuidOptional

external App-Id

activebooleanOptional

Aktiv?

Default: true
backendTypestring · enumOptional

carriertype for backend

Possible values:
createShipmentSyncUrlstringOptional

App: URL für Versandauftrag

createLabelSyncUrlstringOptional

App: URL für Versandlabel

canPrintLabelbooleanOptional

Label-Druck möglich

Default: false
trackingUrlTemplatestringOptional

Tracking-URL-Vorlage

put/vds/carrier-type/{id}/activate
PUT /api/vds/carrier-type/{id}/activate HTTP/1.1
Host: 10.102.24.197:32795
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "appId": "123e4567-e89b-12d3-a456-426614174000",
  "active": true,
  "backendType": "APP",
  "createShipmentSyncUrl": "text",
  "createLabelSyncUrl": "text",
  "canPrintLabel": false,
  "trackingUrlTemplate": "text"
}

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

label/shipment service name

descriptionstringOptional

description

appIdstring · uuidOptional

external App-Id

activebooleanOptional

Aktiv?

Default: true
backendTypestring · enumOptional

carriertype for backend

Possible values:
createShipmentSyncUrlstringOptional

App: URL für Versandauftrag

createLabelSyncUrlstringOptional

App: URL für Versandlabel

canPrintLabelbooleanOptional

Label-Druck möglich

Default: false
trackingUrlTemplatestringOptional

Tracking-URL-Vorlage

get/vds/carrier-type/{id}
GET /api/vds/carrier-type/{id} HTTP/1.1
Host: 10.102.24.197:32795
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "appId": "123e4567-e89b-12d3-a456-426614174000",
  "active": true,
  "backendType": "APP",
  "createShipmentSyncUrl": "text",
  "createLabelSyncUrl": "text",
  "canPrintLabel": false,
  "trackingUrlTemplate": "text"
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

label/shipment service name

descriptionstringOptional

description

appIdstring · uuidOptional

external App-Id

activebooleanOptional

Aktiv?

Default: true
backendTypestring · enumOptional

carriertype for backend

Possible values:
createShipmentSyncUrlstringOptional

App: URL für Versandauftrag

createLabelSyncUrlstringOptional

App: URL für Versandlabel

canPrintLabelbooleanOptional

Label-Druck möglich

Default: false
trackingUrlTemplatestringOptional

Tracking-URL-Vorlage

Responses
200

successful operation

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

label/shipment service name

descriptionstringOptional

description

appIdstring · uuidOptional

external App-Id

activebooleanOptional

Aktiv?

Default: true
backendTypestring · enumOptional

carriertype for backend

Possible values:
createShipmentSyncUrlstringOptional

App: URL für Versandauftrag

createLabelSyncUrlstringOptional

App: URL für Versandlabel

canPrintLabelbooleanOptional

Label-Druck möglich

Default: false
trackingUrlTemplatestringOptional

Tracking-URL-Vorlage

put/vds/carrier-type/{id}
PUT /api/vds/carrier-type/{id} HTTP/1.1
Host: 10.102.24.197:32795
Content-Type: application/json
Accept: */*
Content-Length: 267

{
  "version": "text",
  "info": {},
  "id": "text",
  "label": "text",
  "description": "text",
  "appId": "123e4567-e89b-12d3-a456-426614174000",
  "active": true,
  "backendType": "APP",
  "createShipmentSyncUrl": "text",
  "createLabelSyncUrl": "text",
  "canPrintLabel": false,
  "trackingUrlTemplate": "text"
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "appId": "123e4567-e89b-12d3-a456-426614174000",
  "active": true,
  "backendType": "APP",
  "createShipmentSyncUrl": "text",
  "createLabelSyncUrl": "text",
  "canPrintLabel": false,
  "trackingUrlTemplate": "text"
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

*/*
contextstringOptional

message context

messageValuestringOptional

message

delete/vds/carrier-type/{id}
DELETE /api/vds/carrier-type/{id} HTTP/1.1
Host: 10.102.24.197:32795
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

Create new Resource

post
Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

label/shipment service name

descriptionstringOptional

description

appIdstring · uuidOptional

external App-Id

activebooleanOptional

Aktiv?

Default: true
backendTypestring · enumOptional

carriertype for backend

Possible values:
createShipmentSyncUrlstringOptional

App: URL für Versandauftrag

createLabelSyncUrlstringOptional

App: URL für Versandlabel

canPrintLabelbooleanOptional

Label-Druck möglich

Default: false
trackingUrlTemplatestringOptional

Tracking-URL-Vorlage

Responses
200

successful operation

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

label/shipment service name

descriptionstringOptional

description

appIdstring · uuidOptional

external App-Id

activebooleanOptional

Aktiv?

Default: true
backendTypestring · enumOptional

carriertype for backend

Possible values:
createShipmentSyncUrlstringOptional

App: URL für Versandauftrag

createLabelSyncUrlstringOptional

App: URL für Versandlabel

canPrintLabelbooleanOptional

Label-Druck möglich

Default: false
trackingUrlTemplatestringOptional

Tracking-URL-Vorlage

post/vds/carrier-type
POST /api/vds/carrier-type HTTP/1.1
Host: 10.102.24.197:32795
Content-Type: application/json
Accept: */*
Content-Length: 267

{
  "version": "text",
  "info": {},
  "id": "text",
  "label": "text",
  "description": "text",
  "appId": "123e4567-e89b-12d3-a456-426614174000",
  "active": true,
  "backendType": "APP",
  "createShipmentSyncUrl": "text",
  "createLabelSyncUrl": "text",
  "canPrintLabel": false,
  "trackingUrlTemplate": "text"
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "appId": "123e4567-e89b-12d3-a456-426614174000",
  "active": true,
  "backendType": "APP",
  "createShipmentSyncUrl": "text",
  "createLabelSyncUrl": "text",
  "canPrintLabel": false,
  "trackingUrlTemplate": "text"
}

Create new Resource

post
Body

Versender

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

label/shipment service/api name

parameteranyOptional

Search-Dialog

activebooleanOptional

Aktiv?

Default: true
customanyOptional

Search-Dialog

Responses
200

successful operation

application/json

Versender

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

label/shipment service/api name

parameteranyOptional

Search-Dialog

activebooleanOptional

Aktiv?

Default: true
customanyOptional

Search-Dialog

post/vds/carrier
POST /api/vds/carrier HTTP/1.1
Host: 10.102.24.197:32795
Content-Type: application/json
Accept: */*
Content-Length: 131

{
  "version": "text",
  "info": {},
  "id": "text",
  "label": "text",
  "parameter": null,
  "carrierTypeRef": {
    "id": "text"
  },
  "active": true,
  "custom": null
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "parameter": null,
  "carrierTypeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "active": true,
  "custom": null
}

Get a list of possible keys for initializer objects

get
Responses
200

successful operation

application/json
keystringRequired

specific carrier key

namestringRequired

specific carrier name

descriptionstringOptional

carrier description

get/vds/carrier-initializer
GET /api/vds/carrier-initializer HTTP/1.1
Host: 10.102.24.197:32795
Accept: */*
200

successful operation

[]

Last updated

Was this helpful?